MI/RR IPM - Bug #18630

R 104 H IPM plotting abnormalities
12/28/2017 09:01 AM - Denton Morris

Status: Closed Start date: 12/28/2017
Priority: Normal Due date:

Assignee: Elliott McCrory % Done: 90%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.21 hour
Description

There are periodic bands of incorrect data in the mountain range plot. Single turn slices through the bad data don't match up with the
plotted offset data.

History

#1 - 12/28/2017 10:04 AM - Elliott McCrory

- Assignee changed from Elliott McCrory to David Slimmer

I believe this is a problem with the data received by the ACNET application from the front end.

#2 - 01/02/2018 07:17 AM - David Slimmer
- File CapturerR4.JPG added

| checked the saved data on the front end, and it looks normal.

#3 - 01/02/2018 07:21 AM - David Slimmer

- Assignee changed from David Slimmer to Elliott McCrory

If Elliott agrees that this was a console display glitch, we should mark this resolved.

#4 - 01/02/2018 09:03 AM - Elliott McCrory
- Status changed from New to Work in progress

- Estimated time set to 0.00 h

How often does the user see this behavior?

#5 - 01/03/2018 06:19 AM - David Slimmer

| think this problem may be solved by the read delay (1 sec/10,000 turns). The display anomaly appears to be caused by raw data devices being read

before they are completely written by the front end.

#6 - 01/03/2018 06:55 AM - David Slimmer
- File CaptureRawDisp.JPG added

Or not. | attached a test case with 20,000 turns that exhibits the same problem with the "dead bands" in the raw data display. The problem was
originally reported with a spec that took 60,000 turns. It also shows the missing single turn data.

#7 - 01/05/2018 06:14 AM - David Slimmer
- File CaptureDispAnom.JPG added

Perhaps a display anomaly from expanding the raw data to fit the plot dimensions? Attached is a plot that shows single turn data displayed from one
of the "dead band" areas, so | think the data is really there and non-zero. This anomaly affects all the MI/RR systems, but not Booster.

#8 - 01/05/2018 01:34 PM - Elliott McCrory
- % Done changed from 0 to 90

It was a simple clerical error in the device name, which only affected the 4HIPM in the Recycler.
#9 - 10/17/2018 01:24 PM - Elliott McCrory
- Status changed from Work in progress to Closed

Files

2017-12-28.08.57.50.684.png 65.8 KB 12/28/2017 Denton Morris
CapturerR4.JPG 144 KB 01/02/2018 David Slimmer
CaptureRawDisp.JPG 110 KB 01/03/2018 David Slimmer
CaptureDispAnom.JPG 115 KB 01/05/2018 David Slimmer
